from core import Request, Response
from bank_protocol.exceptions import InvalidRequest
from services.account_service import get_total_balance

def bank_total_amount(request: Request, _) -> Response:
    if request.body is not None:
        raise InvalidRequest("Incorrect usage")

    total_balace = get_total_balance()
    return f"BA {total_balace}"


__all__ = ["bank_total_amount"]
